# Rules Can be used together with Tags to specify preferences or penalties. ## Get all rules for a planning - [GET /v1/plannings/{id}/rules/](https://docs.adm.wearetransformers.nl/apis/schema/rules/v1_plannings_rules_list.md): Lists all rules for a planning. Note that while tags are bound to an organization, rules are planning specific. This distinction is there because the same resource can be used in multiple plannings. ## Creates a new rule - [POST /v1/rules/](https://docs.adm.wearetransformers.nl/apis/schema/rules/v1_rules_create.md): Creates a new rule. ## Partially update a rule - [PATCH /v1/rules/{uuid}/](https://docs.adm.wearetransformers.nl/apis/schema/rules/v1_rules_partial_update.md): Updates specific fields of a rule. ## Delete a rule - [DELETE /v1/rules/{uuid}/](https://docs.adm.wearetransformers.nl/apis/schema/rules/v1_rules_destroy.md): Deletes a rule. ## Validates a rule without creating one - [POST /v1/rules/validate/](https://docs.adm.wearetransformers.nl/apis/schema/rules/v1_rules_validate_create.md): Validates a rule without creating one.